Hi Tim,

> From the same page I linked to earlier but the Debian package for 
> either Wheezie or Jessie 64bit
>
> https://www.openttd.org/en/download-stable

That says

    Latest release in stable is 1.8.0, released on 2018-04-01 13:07 UTC.

with packages for Debian Jessie and Wheezy.
https://www.debian.org/releases/ says

    Debian 8  Jessie   oldstable  
    Debian 9  Stretch  stable     released 2017-06-17

So it's puzzling why OpenTTD built against Debian 8 six months after
Debian 9 became the normal stable one.  Perhaps its source isn't
compatible with 9, but you'll find that out!

Have you tried... Are, here we are:
https://www.reddit.com/r/openttd/comments/7eumoh/installing_openttd_on_debian_stretch/
One comment in particular refers to
https://wiki.openttd.org/Compiling_on_(GNU/)Linux_and_*BSD#Manually
that still talks of libpng12-dev, but you know now to use 16 instead.
You may have to research other missing packages in that list in a
similar way.

Cheers, Ralph.

-- 
Next meeting:  Bournemouth, Tuesday, 2018-05-01 20:00
Meets, Mailing list, IRC, LinkedIn, ...  http://dorset.lug.org.uk/
New thread:  mailto:dorset@mailman.lug.org.uk / CHECK IF YOU'RE REPLYING
Reporting bugs well:  http://goo.gl/4Xue     / TO THE LIST OR THE AUTHOR

Reply via email to